/*
 * Copyright 2020 University of Liège
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

// SWIG input file of the 'dart' module

%feature("autodoc","1");

%module(docstring=
"'viiw' module: Viscous inviscid interaction for dart 2021-2022
(c) ULiege - A&M",
directors="0",
threads="1"
) viiw
%{

#include "vii.h"

#include "fwkw.h"
#include "tboxw.h"
#include "viiw.h"

%}


%include "fwkw.swg"

// ----------- MODULES UTILISES ------------
%import "tboxw.i"

// ----------- FLOW CLASSES ----------------
%include "vii.h"

%immutable vii::ViscSolver::Re; // read-only variable (no setter)
%immutable vii::ViscSolver::Cdt;
%immutable vii::ViscSolver::Cdt_sec;
%immutable vii::ViscSolver::Cdf;
%immutable vii::ViscSolver::Cdf_sec;
%immutable vii::ViscSolver::Cdp;
%immutable vii::ViscSolver::Cdp_sec;
%immutable vii::ViscSolver::CFL0;
%immutable vii::ViscSolver::verbose;
%include "wViscSolver.h"
%include "wBLRegion.h"
%include "wTimeSolver.h"
%include "wViscFluxes.h"
%include "wClosures.h"
%include "wViscMesh.h"
%include "wInvBnd.h"