/* ----------------------------------------------------------------------------------- */
/*                                                                                     */
/*                       Coupled integral boundary layer solver                        */
/*                                                                                     */
/*  Université de Liège                                                                */
/*  February 2022                                                                      */
/*  Author: Paul Dechamps                                                              */
/*  v0.1                                                                               */
/* ----------------------------------------------------------------------------------- */

/* --- Project includes -------------------------------------------------------------- */

#include "wInvBnd.h"

/* --- Namespaces -------------------------------------------------------------------- */

using namespace vii;

/* ----------------------------------------------------------------------------------- */

InvBnd::InvBnd(){}

InvBnd::~InvBnd(){}

double InvBnd::GetMaxMach() const
{
    if (Me.size() <= 0)
        throw std::runtime_error("vii::InvBnd Invalid Mach number vector.");
    double Mmax = 0.0;
    for (size_t i=0; i<Me.size(); ++i)
        if (Me[i]>Mmax) Mmax = Me[i];
    return Mmax;
}
